#pragma once
class CppSQLite3DB;
class DbLicServerFiller: public DBLicProvider
{
	CppSQLite3DB *db;
	DbLicServerFiller(void);
	static DbLicServerFiller* _instance;
	bool init();
public:

	~DbLicServerFiller(void);

	virtual bool fill( Licencia* lic );//rellena datos licencia
	virtual int licCount( Licencia* lic );//cuenta numero de licencias
	virtual bool fillInstal( Licencia* lic );//rellena instalador
	virtual bool setAcceso( Licencia* lic, __int64 *ultAcc, __int64 *actualAcceso);
	virtual bool getConf( char *ip, int *port );//configuracion de escucha


	static DbLicServerFiller* Get();
private:
	int SetUsu( Licencia* lic );//devuelve el id de usuario
	int GetUsu( Licencia* lic );//crea usuario nuevo y devuelve el id
	int getProducId( Licencia* lic );
};
